org.apache.poi.hwpf.model.types

## Class SHD80AbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.SHD80AbstractType

- Direct Known Subclasses:
    ShadingDescriptor80

      @Internal
      public abstract class SHD80AbstractType
      extends java.lang.Object

  The Shd80 structure specifies the colors and pattern that are used for background shading. As an exception to the constraints that are specified by Ico and Ipat, a Shd80 can be set to Shd80Nil and specifies that no shading is applied.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected short` | `field_1_value`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SHD80AbstractType()`
    `protected` | `SHD80AbstractType(SHD80AbstractType other)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `protected void` | `fillFields(byte[] data, int offset)`
    `byte` | `getIcoBack()` Background color
    `byte` | `getIcoFore()` Foreground color
    `byte` | `getIpat()` Shading pattern
    `static int` | `getSize()` Size of record
    `short` | `getValue()` Get the value field for the SHD80 record.
    `int` | `hashCode()`
    `byte[]` | `serialize()`
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setIcoBack(byte value)` Sets the icoBack field value.
    `void` | `setIcoFore(byte value)` Sets the icoFore field value.
    `void` | `setIpat(byte value)` Sets the ipat field value.
    `void` | `setValue(short field_1_value)` Set the value field for the SHD80 record.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_1_value

          protected short field_1_value

  - ### Constructor Detail

    - #### SHD80AbstractType

          protected SHD80AbstractType()

    - #### SHD80AbstractType

          protected SHD80AbstractType(SHD80AbstractType other)

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### serialize

          public byte[] serialize()

    - #### getSize

          public static int getSize()

      Size of record

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getValue

          @Internal
          public short getValue()

      Get the value field for the SHD80 record.

    - #### setValue

          @Internal
          public void setValue(short field_1_value)

      Set the value field for the SHD80 record.

    - #### setIcoFore

          @Internal
          public void setIcoFore(byte value)

      Sets the icoFore field value. Foreground color

    - #### getIcoFore

          @Internal
          public byte getIcoFore()

      Foreground color
      Returns:
        the icoFore field value.

    - #### setIcoBack

          @Internal
          public void setIcoBack(byte value)

      Sets the icoBack field value. Background color

    - #### getIcoBack

          @Internal
          public byte getIcoBack()

      Background color
      Returns:
        the icoBack field value.

    - #### setIpat

          @Internal
          public void setIpat(byte value)

      Sets the ipat field value. Shading pattern

    - #### getIpat

          @Internal
          public byte getIpat()

      Shading pattern
      Returns:
        the ipat field value.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.